Name:           wyrd
Version:        1.4.5
Release:        14%{?dist}
Summary:        A ncurses frontend for the calendar application remind

Group:          Applications/Productivity
License:        GPLv2
URL:            http://pessimization.com/software/wyrd/
Source0:        http://pessimization.com/software/wyrd/wyrd-%{version}.tar.gz
Source1:        wyrd-wyrdrc.local

Patch0:         wyrd-1.4.3-wyrdrc-local.patch
# Bug report:
# https://bugs.launchpad.net/wyrd/+bug/1028142
Patch1:         wyrd-ocaml4_version_check.patch

BuildRequires:  ocaml remind ncurses-devel
BuildRequires:  ocaml-camlp4-devel
Requires:       remind

%description
wyrd is a ncurses frontend for the calendar application remind.


%prep
%setup -q
%patch0 -p1 -b .wyrdrc-local
%patch1 -p1 -b .ocaml4_version_check


%build
%configure --enable-utf8
# parallel make disabled because of:
# https://bugs.launchpad.net/bugs/691827
#make %{?_smp_mflags}
make


%install
make install DESTDIR=$RPM_BUILD_ROOT
install --mode 0644 -D %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/wyrdrc.local


%files
%doc COPYING ChangeLog doc/TODO doc/manual.pdf doc/manual.html
%config %{_sysconfdir}/wyrdrc
%config(noreplace) %{_sysconfdir}/wyrdrc.local
%{_bindir}/wyrd
%{_mandir}/man1/wyrd.1*
%{_mandir}/man5/wyrdrc.5*


%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 09 2016 Dan Horák <dan@danny.cz> - 1.4.5-13
- remove ExcludeArch and modernize spec

* Sat Nov 05 2016 Richard W.M. Jones <rjones@redhat.com> - 1.4.5-12
- Rebuild for OCaml 4.04.0.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jul 23 2012 Till Maas <opensource@till.name> - 1.4.5-5
- Fix configure to properly detect ocaml 4 and greater

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec 18 2010 Till Maas <opensource@till.name> - 1.4.5-1
- Update to new release
- disable parallel make: https://bugs.launchpad.net/bugs/691827

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr 16 2009 S390x secondary arch maintainer <fedora-s390x@lists.fedoraproject.org>
- ExcludeArch sparc64, s390, s390x as we don't have OCaml on those archs
  (added sparc64 per request from the sparc maintainer)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 09 2008 Till Maas <opensource@till.name> - 1.4.4-3
- Add Requires: remind

* Tue Jul 08 2008 Till Maas <opensource@till.name> - 1.4.4-2
- fix BuildRequires, camlp4 is not needed/supported as BR anymore

* Fri Feb 22 2008 Till Maas <opensource till name> - 1.4.4-1
- update to latest version that fixes CVE-2008-0806 in a different way
- update URL/SOURCE to new location
- remove ExcludeArch, because ocaml is now available for ppc64

* Thu Feb 21 2008 Till Maas <opensource till name> - 1.4.3b-1
- update to latest version
- include patch from debian to fix CVE-2008-0806

* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.3-4
- Autorebuild for GCC 4.3

* Sun Oct 21 2007 Till Maas <opensource till name> - 1.4.3-3
- fix permissions of local config file
- use globbing for manpages (the may not be gzipped)
- add ExludeArch ppc64

* Tue Aug 28 2007 Till Maas <opensource till name> - 1.4.3-2
- Fix BuildRequires for F8

* Sat Aug 18 2007 Till Maas <opensource till name> - 1.4.3-1
- initial spec for Fedora
